org.apache.ignite.internal.processors.cache.persistence.partstate

## Class GroupPartitionId

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.partstate.GroupPartitionId

All Implemented Interfaces:
  Comparable<GroupPartitionId>

    public class GroupPartitionId
    extends Object
    implements Comparable<GroupPartitionId>

Pair of cache group ID with partition ID. Immutable, comparable class, may be used as key in maps

### Constructor Summary

Constructors
Constructor and Description
`GroupPartitionId(int grpId, int partId)` Creates group-partition tuple.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(GroupPartitionId o)`
`FullPageId` `createFirstPageFullId()`
`boolean` `equals(Object o)`
`int` `getGroupId()`
`int` `getPartitionId()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GroupPartitionId

    public GroupPartitionId(int grpId,
                            int partId)

Creates group-partition tuple.

Parameters:
  `grpId` - Group ID.
  `partId` - Partition ID.

### Method Detail

#### getGroupId

    public int getGroupId()

Returns:
  cache ID

#### getPartitionId

    public int getPartitionId()

Returns:
  Partition ID

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo(@NotNull
                         GroupPartitionId o)

Specified by:
  `compareTo` in interface `Comparable<GroupPartitionId>`

#### createFirstPageFullId

    @NotNull
    public FullPageId createFirstPageFullId()

Returns:
  will return super-page (metapage) of this partition

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019